<?php
/**
 * Facet controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$this->addOptionControl(
	[
		'type'    => 'dropdown',
		'name'    => __( 'Select a facet', 'wpgb-oxygen' ),
		'slug'    => 'facet',
		'default' => '',
		'value'   => [ '' => '&nbsp;' ] + array_map(
			function( $label ) {
				return htmlentities( $label, ENT_QUOTES );
			},
			$this->get_facets()
		),
	]
);

$this->addOptionControl(
	[
		'type'    => 'dropdown',
		'name'    => __( 'Select a grid or element to filter', 'wpgb-oxygen' ),
		'slug'    => 'grid',
		'default' => '',
		'value'   => [ '' => '&nbsp;' ] + array_map(
			function( $label ) {
				return htmlentities( $label, ENT_QUOTES );
			},
			$this->get_grids()
		),
	]
);

$this->addOptionControl(
	[
		'type'    => 'textfield',
		'name'    => '',
		'slug'    => 'type',
		'default' => '',
	]
)->hidden();
