<?php
/**
 * Choice label controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$choice_label_style  = $this->addControlSection( 'choice_label_style', __( 'Choice Label', 'wpgb-oxygen' ), '', $this );
$choice_label_colors = $choice_label_style->addControlSection( 'choice_label_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$choice_label_colors->addStyleControls(
	[
		[
			'name'     => __( 'Background Color', 'wpgb-oxygen' ),
			'selector' => 'li [class^="wpgb-"][class$="-label"]',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Background Hover Color', 'wpgb-oxygen' ),
			'selector' => '[aria-pressed]:hover [class^="wpgb-"][class$="-label"]',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Background Selected Color', 'wpgb-oxygen' ),
			'selector' => '[aria-pressed="true"] [class^="wpgb-"][class$="-label"]',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Text Hover Color', 'wpgb-oxygen' ),
			'selector' => '[aria-pressed]:hover [class^="wpgb-"][class$="-label"]',
			'property' => 'color',
		],
		[
			'name'     => __( 'Text Selected Color', 'wpgb-oxygen' ),
			'selector' => '[aria-pressed="true"] [class^="wpgb-"][class$="-label"]',
			'property' => 'color',
		],
	]
);

$choice_label_colors->addStyleControls(
	[
		[
			'name'      => __( 'Tooltip Bottom Color', 'wpgb-oxygen' ),
			'selector'  => '.wpgb-facet .wpgb-color-facet .wpgb-color-label:after',
			'property'  => 'border-top-color',
			'condition' => 'type=color',
		],
		[
			'name'      => __( 'Tooltip Hover Bottom Color', 'wpgb-oxygen' ),
			'selector'  => '.wpgb-facet .wpgb-color-facet [aria-pressed]:hover .wpgb-color-label:after',
			'property'  => 'border-top-color',
			'condition' => 'type=color',
		],
		[
			'name'      => __( 'Tooltip Selected Bottom Color', 'wpgb-oxygen' ),
			'selector'  => '.wpgb-facet .wpgb-color-facet [aria-pressed="true"] .wpgb-color-label:after',
			'property'  => 'border-top-color',
			'condition' => 'type=color',
		],
	]
);

$choice_label_style->borderSection( __( 'Borders', 'wpgb-oxygen' ), 'li [class^="wpgb-"][class$="-label"]', $this );

$choice_label_spacing = $choice_label_style->addControlSection( 'choice_label_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$choice_label_spacing->addPreset( 'padding', 'choice_label_padding', __( 'Padding', 'wpgb-oxygen' ), 'li [class^="wpgb-"][class$="-label"]' )->whiteList();
$choice_label_spacing->addPreset( 'margin', 'choice_label_margin', __( 'Margin', 'wpgb-oxygen' ), 'li [class^="wpgb-"][class$="-label"]' )->whiteList();
$choice_label_style->typographySection( __( 'Typography', 'wpgb-oxygen' ), 'li [class^="wpgb-"][class$="-label"]', $this );
