<?php
/**
 * Map controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$map_style = $this->addControlSection( 'map_style', __( 'Map', 'wpgb-oxygen' ), '', $this );

$map_style->addStyleControl(
	[
		'control_type' => 'slider-measurebox',
		'name'         => __( 'Map Width', 'wpgb-oxygen' ),
		'slug'         => 'map_width',
		'property'     => '',
		'default'      => 100,
		'selectors'    => [
			[
				'selector' => '.wpgb-facet fieldset',
				'property' => 'min-width',
			],
			[
				'selector' => '.wpgb-facet fieldset',
				'property' => 'max-width',
			],
		],
	]
)->setUnits( '%', '%,px,vw,vh' )->setRange( 1, 2000, 1 );

$map_style->addStyleControl(
	[
		'control_type' => 'slider-measurebox',
		'name'         => __( 'Map height', 'wpgb-oxygen' ),
		'slug'         => 'map_height',
		'property'     => '',
		'default'      => 640,
		'selectors'    => [
			[
				'selector' => '.wpgb-facet .wpgb-map-facet',
				'property' => 'min-height',
			],
			[
				'selector' => '.wpgb-facet .wpgb-map-facet',
				'property' => 'max-height',
			],
		],
	]
)->setUnits( 'px', '%,px,vw,vh' )->setRange( 1, 2000, 1 );
