<?php
/**
 * Title controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$title_style = $this->addControlSection( 'title_style', __( 'Title', 'wpgb-oxygen' ), '', $this );

$title_style->addOptionControl(
	[
		'type'    => 'checkbox',
		'name'    => __( 'Hide Title', 'wpgb-oxygen' ),
		'slug'    => 'facet_title',
		'default' => 'false',
	]
)->setValueCSS(
	[
		'true' => (
			'.wpgb-facet .wpgb-facet-title {
				display: none
			}'
		),
	]
);

$title_colors = $title_style->addControlSection( 'title_colors', __( 'Colors', 'wpgb-oxygen' ), '', $this );

$title_colors->addStyleControls(
	[
		[
			'name'     => __( 'Background Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-facet-title',
			'property' => 'background-color',
		],
		[
			'name'     => __( 'Background Hover Color', 'wpgb-oxygen' ),
			'selector' => '.wpgb-facet-title:hover',
			'property' => 'background-color',
		],
	]
);

$title_style->borderSection( __( 'Borders', 'wpgb-oxygen' ), '.wpgb-facet-title', $this );

$title_spacing = $title_style->addControlSection( 'title_spacing', __( 'Size & Spacing', 'wpgb-oxygen' ), '', $this );

$title_spacing->addPreset( 'padding', 'title_padding', __( 'Padding', 'wpgb-oxygen' ), '.wpgb-facet-title' )->whiteList();
$title_spacing->addPreset( 'margin', 'title_margin', __( 'Margin', 'wpgb-oxygen' ), '.wpgb-facet-title' )->whiteList();
$title_spacing->addStyleControls(
	[
		[
			'property' => 'width',
			'selector' => '.wpgb-facet-title',
		],
		[
			'property' => 'height',
			'selector' => '.wpgb-facet-title',
		],
	]
);

$title_style->typographySection( __( 'Typography', 'wpgb-oxygen' ), '.wpgb-facet-title', $this );
