<?php
/**
 * WP Grid Builder Pods Add-on
 *
 * @package   WP Grid Builder - Pods
 * @author    Loïc Blascos
 * @link      https://www.wpgridbuilder.com
 * @copyright 2019-2022 Loïc Blascos
 *
 * @wordpress-plugin
 * Plugin Name:  WP Grid Builder - Pods
 * Plugin URI:   https://www.wpgridbuilder.com
 * Description:  Integrate WP Grid Builder with Pods plugin.
 * Version:      1.0.0
 * Author:       Loïc Blascos
 * Author URI:   https://www.wpgridbuilder.com
 * License:      GPL-3.0-or-later
 * License URI:  https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:  wpgb-pods
 * Domain Path:  /languages
 */

use WP_Grid_Builder_Pods\Includes\Plugin;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'WPGB_PODS_VERSION', '1.0.0' );
define( 'WPGB_PODS_FILE', __FILE__ );
define( 'WPGB_PODS_BASE', plugin_basename( WPGB_PODS_FILE ) );
define( 'WPGB_PODS_PATH', plugin_dir_path( WPGB_PODS_FILE ) );
define( 'WPGB_PODS_URL', plugin_dir_url( WPGB_PODS_FILE ) );

require_once WPGB_PODS_PATH . 'includes/class-autoload.php';

new Plugin();
